using System;
using System.Reflection;

internal sealed class Delegate844 : MulticastDelegate
{
	public extern FieldInfo Invoke(object object_0, int int_0);

	public static FieldInfo smethod_0(object object_0, int int_0, Delegate844 delegate844_1)
	{
		return delegate844_1(object_0, int_0);
	}

	public extern Delegate844(object object_0, IntPtr intptr_0);

	static Delegate844()
	{
		Class10.smethod_13(typeof(Delegate844).TypeHandle);
	}

	internal static Delegate844 delegate844_0;
}
